메인 콘텐츠로 건너뛰기
PATCH
/
admin
/
webhooks
/
{id}
웹훅 수정
curl --request PATCH \
  --url https://api.headlesscommerce.io/v1/admin/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true
}
'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true,
  "secret": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

경로 매개변수

id
string
필수

Resource ID

본문

application/json
url
string<uri>
events
string[]
is_active
boolean

응답

200 - application/json

성공

id
string
url
string
events
string[]
is_active
boolean
secret
string

Only returned on creation

created_at
string<date-time>